NX Open C++ Reference Guide
|
Represents a @link GeometricAnalysis::SurfaceContinuityAnalysis GeometricAnalysis::SurfaceContinuityAnalysis@endlink builder <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CurvatureType { CurvatureTypeSectional, CurvatureTypeGaussian, CurvatureTypeMean, CurvatureTypeAbsolute } |
Curvature types. More... | |
enum | Types { TypesEdgeToEdge, TypesEdgeToFace } |
Two possible types for the dialog. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::CombOptionsBuilder * | CombOptions () |
Returns the comb display block options Created in NX6.0.0. | |
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType | CurvatureCheck () |
Returns the curvature check Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | Face () |
Returns the (second) faces. | |
NXOpen::SelectNXObjectList * | FirstEdge () |
Returns the first edges or faces Created in NX6.0.0. | |
bool | G0 () |
Returns the g0 toggle Created in NX6.0.0. | |
bool | G1 () |
Returns the g1 toggle Created in NX6.0.0. | |
bool | G2 () |
Returns the g2 toggle Created in NX6.0.0. | |
bool | G3 () |
Returns the g3 toggle Created in NX6.0.0. | |
std::vector< NXOpen::Face * > | GetFace1Array () |
Returns the edge1 array not used. | |
NXOpen::SelectNXObjectList * | SecondEdge () |
Returns the second edges or faces. | |
void | SetCurvatureCheck (NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType curvatureCheck) |
Sets the curvature check Created in NX6.0.0. | |
void | SetG0 (bool g0) |
Sets the g0 toggle Created in NX6.0.0. | |
void | SetG1 (bool g1) |
Sets the g1 toggle Created in NX6.0.0. | |
void | SetG2 (bool g2) |
Sets the g2 toggle Created in NX6.0.0. | |
void | SetG3 (bool g3) |
Sets the g3 toggle Created in NX6.0.0. | |
void | SetType (NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types type) |
Sets the type of analysis to perform Created in NX6.0.0. | |
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types | Type () |
Returns the type of analysis to perform Created in NX6.0.0. | |
void | UpdateFace (NXOpen::Face *face, const NXOpen::Point3d &selectionPoint) |
User selects or deselects face, update builder m_edge2, m_face2 Created in NX6.0.0. | |
void | UpdateFirstEdgeFace (NXOpen::DisplayableObject *edgeOrFace, const NXOpen::Point3d &selectionPoint) |
The user selects or deselects first edge or face, update builder m_edge1, m_face1 Created in NX6.0.0. | |
void | UpdateSecondEdgeFace (NXOpen::DisplayableObject *edgeOrFace, const NXOpen::Point3d &selectionPoint) |
User selects or deselects second edge or face, update builder m_edge2, m_face2 Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link GeometricAnalysis::SurfaceContinuityAnalysis GeometricAnalysis::SurfaceContinuityAnalysis@endlink builder <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurvatureCheck |
Sectional |
G0 |
True |
G1 |
False |
G2 |
False |
G3 |
False |
Created in NX6.0.0.
NXOpen::GeometricUtilities::CombOptionsBuilder* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CombOptions | ( | ) |
Returns the comb display block options
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureCheck | ( | ) |
Returns the curvature check
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Face | ( | ) |
Returns the (second) faces.
Used only if the type is EdgeFace
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::FirstEdge | ( | ) |
Returns the first edges or faces
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G0 | ( | ) |
Returns the g0 toggle
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G1 | ( | ) |
Returns the g1 toggle
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G2 | ( | ) |
Returns the g2 toggle
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G3 | ( | ) |
Returns the g3 toggle
Created in NX6.0.0.
License requirements : None
std::vector<NXOpen::Face *> NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::GetFace1Array | ( | ) |
Returns the edge1 array not used.
NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SecondEdge | ( | ) |
Returns the second edges or faces.
Used only if the type is EdgeEdge
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetCurvatureCheck | ( | NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType | curvatureCheck | ) |
Sets the curvature check
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
curvatureCheck | curvaturecheck |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG0 | ( | bool | g0 | ) |
Sets the g0 toggle
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
g0 | g0 |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG1 | ( | bool | g1 | ) |
Sets the g1 toggle
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
g1 | g1 |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG2 | ( | bool | g2 | ) |
Sets the g2 toggle
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
g2 | g2 |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG3 | ( | bool | g3 | ) |
Sets the g3 toggle
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
g3 | g3 |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetType | ( | NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types | type | ) |
Sets the type of analysis to perform
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
type | type |
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Type | ( | ) |
Returns the type of analysis to perform
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateFace | ( | NXOpen::Face * | face, |
const NXOpen::Point3d & | selectionPoint | ||
) |
User selects or deselects face, update builder m_edge2, m_face2
Created in NX6.0.0.
License requirements : gateway ("UG GATEWAY")
face | face |
selectionPoint | selection point |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateFirstEdgeFace | ( | NXOpen::DisplayableObject * | edgeOrFace, |
const NXOpen::Point3d & | selectionPoint | ||
) |
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateSecondEdgeFace | ( | NXOpen::DisplayableObject * | edgeOrFace, |
const NXOpen::Point3d & | selectionPoint | ||
) |